%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbosgi-repository
Version:          3.0.1
Release:          2%{?dist}
Summary:          JBossOSGi Repository
License:          ASL 2.0
URL:              http://community.jboss.org/wiki/JBossOSGi
Source0:          https://github.com/jbosgi/jbosgi-repository/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    jbosgi-parent
BuildRequires:    arquillian-core
BuildRequires:    arquillian-osgi
BuildRequires:    jboss-logmanager
BuildRequires:    jbosgi-resolver
BuildRequires:    jbosgi-framework
BuildRequires:    shrinkwrap
BuildRequires:    shrinkwrap-resolver
BuildRequires:    junit
BuildRequires:    mockito
BuildRequires:    maven-plugin-build-helper
BuildRequires:    eclipse-equinox-osgi

%description
This package contains the JBoss OSGi Repository.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jbosgi-repository-%{namedversion}

for m in api bundle core; do
%pom_remove_dep "org.osgi:org.osgi.core" $m/pom.xml
%pom_add_dep "org.eclipse:osgi" $m/pom.xml
done

%pom_disable_module itests

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Fri Jul 26 2013 Marek Goldmann <mgoldman@redhat.com> - 3.0.1-2
- Rebuild

* Thu Jun 27 2013 Marek Goldmann <mgoldman@redhat.com> - 3.0.1-1
- Upstream reelase 3.0.1.Final
- New guidelines

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.0.5-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Aug 1 2012 Alexander Kurtakov <akurtako@redhat.com> 1.0.5-4
- Fix OSGi metadata.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 28 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.5-2
- Removed binaries
- Typo fixes

* Fri Jun 15 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.5-1
- Initial packaging
